﻿using System;
using System.Collections.Generic;

namespace task01.Context;

public partial class Employee
{
    public int Id { get; set; }

    public string Name { get; set; } = null!;

    public string Surname { get; set; } = null!;

    public string? Patronymic { get; set; }

    public DateOnly? Birthday { get; set; }

    public string Phone { get; set; } = null!;

    public string Email { get; set; } = null!;

    public int Departmentid { get; set; }

    public int Proffesionid { get; set; }

    public int Officeid { get; set; }

    public virtual Department Department { get; set; } = null!;

    public virtual ICollection<Department> Departments { get; set; } = new List<Department>();

    public virtual ICollection<EmployeeStatus> EmployeeStatuses { get; set; } = new List<EmployeeStatus>();

    public virtual Office Office { get; set; } = null!;

    public virtual Profession Proffesion { get; set; } = null!;
}
